Subject: bug#72176: 30.0.60; icomplete-vertical-mode failed to work with Error

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Jul 2024 13:15:27 +0300

> From: João Távora <[email-masked]>
> Date: Sat, 20 Jul 2024 10:09:38 +0100
> Cc: Robert Pluim <[email-masked]>, [email-masked], [email-masked], 
> 	[email-masked]
> 
> On Sat, Jul 20, 2024 at 7:05 AM Eli Zaretskii <[email-masked]> wrote:
> 
> > Adding João, who I think wrote this code.
> 
> Don't understand root cause, but it's in the whereabouts of
> the current analysis, yes. I recall regexp is supposed to always 
> match, because it has (presumably) been used for a previous
> filtering. This breakage would seem to be a consequence of 
> 3b07d33059150 by Eshel Yaron which in turn seems to be fixing 
> something stemming from some feature Dmitry added in 
> 6b7ff60a5e71c in June. I went one commit before that one and 
> the recipe didn't break.

Thanks, I'm adding the guilty parties to this discussion.  Eshel and
Dmitry, could you please look into this?